<!-- <section class="setup-list">
  <ul *ngIf="pageType === 'my_report'">

    <li (click)="loadUrl('sales')">
        <span>
          <div class="image-container">
            <i class="fa fa-area-chart"></i>
          </div>
          <span>Sales Overview</span>
        </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('payable')" [ngClass]="(showIframe.activeClass=='payable')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Payable Overview</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('recievable')"
      [ngClass]="(showIframe.activeClass=='recievable')?'active':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Receivable Overview</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('inventoryOverview')"
      [ngClass]="(showIframe.activeClass=='inventoryOverview')?'active':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Inventory Overview</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('finance')" [ngClass]="(showIframe.activeClass=='finance')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Financial Statement</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('collection')"
      [ngClass]="(showIframe.activeClass=='collection')?'active':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Collection</span>
      </span>
    </li>

    <li *ngIf="isFinanceUser" (click)="loadUrl('expense')" [ngClass]="(showIframe.activeClass=='expense')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Expenses Analysis</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('itbr')" [ngClass]="(showIframe.activeClass=='itbr')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>ITBR</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('APReport')"
      [ngClass]="(showIframe.activeClass=='APReport')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Account Payable Reports</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('ARReport')"
      [ngClass]="(showIframe.activeClass=='ARReport')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Account Receivable Reports</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('fixedasset')"
      [ngClass]="(showIframe.activeClass=='fixedasset')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Fixed Asset Reports</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('VATReports')"
      [ngClass]="(showIframe.activeClass=='VATReports')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>VAT Reports</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('soReport')"
      [ngClass]="(showIframe.activeClass=='soReport')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Sales Reports</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('poReport')"
      [ngClass]="(showIframe.activeClass=='poReport')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Purchase Reports</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('inventoryReport')"
      [ngClass]="(showIframe.activeClass=='inventoryReport')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Inventory Reports</span>
      </span>
    </li>
    <li *ngIf="isFinanceUser" (click)="loadUrl('ledgerTransactionDetails')"
      [ngClass]="(showIframe.activeClass=='ledgerTransactionDetails')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div> 
        <span>Ledger Transaction Details</span>
      </span>
    </li>
    <li *ngIf="isHrUser" (click)="loadUrl('hrms')" [ngClass]="(showIframe.activeClass=='hrms')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Employee Dashboard</span>
      </span>
    </li>
    <li *ngIf="isHrUser" (click)="loadUrl('hrPayrollRegister')"
      [ngClass]="(showIframe.activeClass=='hrPayrollRegister')?'active-bar':''">
      <span>
        <div class="image-container">
          <i class="fa fa-area-chart"></i>
        </div>
        <span>Payroll Dashboard</span>
      </span>
    </li>
  </ul>
  <ul *ngIf="pageType === 'sanad_compass'">
    <li (click)="loadUrl('compassReportOne')" [ngClass]="(showIframe.activeClass=='compassReportOne')?'active':''">
      <a href="javascript:void(0)">
        <i class="fa fa-area-chart"></i>
        <span>Report one</span>
      </a>
    </li>
    <li (click)="loadUrl('compassReportTwo')" [ngClass]="(showIframe.activeClass=='compassReportTwo')?'active':''">
      <a href="javascript:void(0)">
        <i class="fa fa-area-chart"></i>
        <span>Report Two</span>
      </a>
    </li>
    <li (click)="loadUrl('compassReportThree')" [ngClass]="(showIframe.activeClass=='compassReportThree')?'active':''">
      <a href="javascript:void(0)">
        <i class="fa fa-area-chart"></i>
        <span>Report Three</span>
      </a>
    </li>
    <li (click)="loadUrl('compassReportFour')" [ngClass]="(showIframe.activeClass=='compassReportFour')?'active':''">
      <a href="javascript:void(0)">
        <i class="fa fa-area-chart"></i>
        <span>Report Four</span>
      </a>
    </li>
  </ul>
</section> -->
<div class="iframe-container" *ngIf="!showIframe.show">Please select any to load the report.</div>
<section class="iframe-container" *ngIf="showIframe.show">
  <iframe width="1200" height="800" [src]="url | safeHtml: 'resourceUrl'" frameborder="0" allowFullScreen="true"></iframe>
</section>